Loading...
Searching...
No Matches
CDXMLParser.h File Reference
`#include <RDGeneral/export.h>`
`#include <RDGeneral/types.h>`
`#include <string>`
`#include <iostream>`
`#include <vector>`

Go to the source code of this file.

## Namespaces

namespace | RDKit
| Std stuff.

## Functions

RDKIT_FILEPARSERS_EXPORT std::vector< std::unique_ptr< RWMol > > | RDKit::CDXMLDataStreamToMols (std::istream &inStream, bool sanitize=true, bool removeHs=true)
| construct molecules from a CDXML file Note that the CDXML format is large and complex, the RDKit doesn't support full functionality, just the base ones required for molecule and reaction parsing.
RDKIT_FILEPARSERS_EXPORT std::vector< std::unique_ptr< RWMol > > | RDKit::CDXMLFileToMols (const std::string &filename, bool sanitize=true, bool removeHs=true)
| construct molecules from a CDXML file Note that the CDXML format is large and complex, the RDKit doesn't support full functionality, just the base ones required for molecule and reaction parsing.
RDKIT_FILEPARSERS_EXPORT std::vector< std::unique_ptr< RWMol > > | RDKit::CDXMLToMols (const std::string &cdxml, bool sanitize=true, bool removeHs=true)
| construct molecules from a CDXML file Note that the CDXML format is large and complex, the RDKit doesn't support full functionality, just the base ones required for molecule and reaction parsing.